套件版本號的問題 [論壇 - Ubuntu 套件打包]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



套件版本號的問題
會員一級
註冊日期:
2005/6/19 15:21
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 0
EXP: 0
離線
這幾天在研究打包 deb 包時,
如果我本來的 src dir 命名為 foo-0.0.1-1ubuntu1,
下 dh_make 之後,它會看成 foo-0.0.1 是套件名,版本號為 1ubuntu1
並不是我本來想要的 -- foo 為套件名,版本號為 0.0.1-1ubuntu1

不知道大家是怎樣包出 foo-0.0.1-1ubuntu1_i386.deb 這樣的套件?
在這裡跟大家請教一下:) 謝謝

(1_i386 好像是 dpkg-buildpackage 過程中自動就會加上的 ..)

2005/7/7 16:45
Cheng-Wei Chien <e(DOT)cwchien(AT)gmail(DOT)com>
應用擴展 工具箱
Re: 套件版本號的問題
會員一級
註冊日期:
2005/6/19 15:21
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 0
EXP: 0
離線
自問自答 ..

dh_make 時加上 -p 套件名稱即可指定

例如 dh_make -p foo .. 就可以辦到我說的那種了

不好意思 ... 我應該先 man 一下的 ... Orz

2005/7/13 2:28
Cheng-Wei Chien <e(DOT)cwchien(AT)gmail(DOT)com>
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.